청호PENTEST - Professional Penetration Testing Company

Select Language

개요

  • 국내 무료 동영상 재생 프로그램인 곰플레이어에서 힙오버플로우 취약점이 발견됨
  • 공격자는 취약한 버전의 곰플레이어 사용자로 하여금 특수하게 조작된 홈페이지 방문을 유도하여 임의코드 실행이 가능
  • 취약한 버전의 곰플레이어 사용자는 악성코드 감염에 취약할 수 있으므로, 해결방안에 따라 최신버전으로 업데이트 권고

해당 시스템

  • 영향 받는 소프트웨어
    - 2.1.43.5119 및 이전버전

해결방안

  • 곰플레이어 2.1.44.5123 및 이전버전 사용자
    - 곰플레이어 홈페이지[1]에 방문하여 곰플레이어 2.1.44.5123 버전을 설치하거나 자동 업데이트를 이용하여 업그레이드
    ※ 버전 확인 및 업데이트 : 마우스오른쪽 버튼 또는 F1키 → 프로그램 정보 → 업데이트

곰플레이어_01 곰플레이어_02

용어 정리

  • 힙오버플로우 : 프로그램 실행 중 동적으로 할당되는 메모리 영역인 힙에 입력되는 값을 검증하지 않아 발생하는 취약점

기타 문의사항

  • 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118


기타

  • 본 취약점은 Krcert 홈페이지를 통해 이정훈(lokihardt)님께서 제공해주셨습니다.

 

[참고사이트]

[1] http://gom2.gomtv.com/release/gom_player.htm




원문출처 : http://www.krcert.or.kr/kor/data/secNoticeView.jsp?p_bulletin_writing_sequence=1383
Tag List

서비스 링크

X
Login

브라우저를 닫더라도 로그인이 계속 유지될 수 있습니다. 로그인 유지 기능을 사용할 경우 다음 접속부터는 로그인을 하실 필요가 없습니다. 단, 게임방, 학교 등 공공장소에서 이용 시 개인정보가 유출될 수 있으니 꼭 로그아웃을 해주세요.

아이디가 없으신 분은

회원가입 후 이용하실 수 있습니다.

X